Skip to content

Marketplace Categories

Operations Summary

Method Endpoint Description
GET /api/marketplace-categories/ List categories
GET /api/marketplace-categories/{uuid}/ Retrieve a category
POST /api/marketplace-categories/ Create a category
PUT /api/marketplace-categories/{uuid}/ Update a category
PATCH /api/marketplace-categories/{uuid}/ Partially update a category
DELETE /api/marketplace-categories/{uuid}/ Delete a category

List categories

Returns a paginated list of marketplace categories.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-categories/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_categories import marketplace_categories_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_categories_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_categories_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceCategoriesList } from 'waldur-js-client';

try {
  const response = await marketplaceCategoriesList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
customer_uuid string (uuid) Customer UUID
customers_offerings_state array Customers offerings state

field array
group_uuid string (uuid) Category group UUID
has_shared boolean Has shared
offering_name string Offering name contains
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
resource_customer_uuid string (uuid) Resource customer UUID
resource_project_uuid string (uuid) Resource project UUID
title string Title contains

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
url string (uri)
uuid string (uuid)
title string
description string
icon string (uri)
default_vm_category boolean Set to "true" if this category is for OpenStack VM. Only one category can have "true" value.
default_volume_category boolean Set to true if this category is for OpenStack Volume. Only one category can have "true" value.
default_tenant_category boolean Set to true if this category is for OpenStack Tenant. Only one category can have "true" value.
offering_count integer
available_offerings_count integer
sections array of objects
sections.key string
sections.title string
sections.attributes array of objects
sections.attributes.key string
sections.attributes.title string
sections.attributes.type string
Enum: boolean, string, text, integer, choice, list
sections.attributes.options array of objects
sections.attributes.options.key string
sections.attributes.options.title string
sections.attributes.required boolean A value must be provided for the attribute.
sections.attributes.default any
sections.is_standalone boolean Whether section is rendered as a separate tab.
columns array of objects
columns.uuid string (uuid)
columns.index integer Index allows to reorder columns.
columns.title string Title is rendered as column header.
columns.attribute string Resource attribute is rendered as table cell.
columns.widget any Widget field allows to customise table cell rendering.
components array of objects
components.type string Unique internal name of the measured unit, for example floating_ip.
components.name string Display name for the measured unit, for example, Floating IP.
components.description string
components.measured_unit string Unit of measurement, for example, GB.
articles array of objects
articles.title string
articles.url string (uri)
group string (uri)

Retrieve a category

Returns details of a specific marketplace category.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-categories/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_categories import marketplace_categories_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_categories_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: marketplace_categories_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceCategoriesRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceCategoriesRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Name Type
field array

200 -

Field Type Description
url string (uri)
uuid string (uuid)
title string
description string
icon string (uri)
default_vm_category boolean Set to "true" if this category is for OpenStack VM. Only one category can have "true" value.
default_volume_category boolean Set to true if this category is for OpenStack Volume. Only one category can have "true" value.
default_tenant_category boolean Set to true if this category is for OpenStack Tenant. Only one category can have "true" value.
offering_count integer
available_offerings_count integer
sections array of objects
sections.key string
sections.title string
sections.attributes array of objects
sections.attributes.key string
sections.attributes.title string
sections.attributes.type string
Enum: boolean, string, text, integer, choice, list
sections.attributes.options array of objects
sections.attributes.options.key string
sections.attributes.options.title string
sections.attributes.required boolean A value must be provided for the attribute.
sections.attributes.default any
sections.is_standalone boolean Whether section is rendered as a separate tab.
columns array of objects
columns.uuid string (uuid)
columns.index integer Index allows to reorder columns.
columns.title string Title is rendered as column header.
columns.attribute string Resource attribute is rendered as table cell.
columns.widget any Widget field allows to customise table cell rendering.
components array of objects
components.type string Unique internal name of the measured unit, for example floating_ip.
components.name string Display name for the measured unit, for example, Floating IP.
components.description string
components.measured_unit string Unit of measurement, for example, GB.
articles array of objects
articles.title string
articles.url string (uri)
group string (uri)

Create a category

Creates a new marketplace category. Requires staff permissions.

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/marketplace-categories/ \
  Authorization:"Token YOUR_API_TOKEN" \
  title="string-value"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.marketplace_category_request import MarketplaceCategoryRequest # (1)
from waldur_api_client.api.marketplace_categories import marketplace_categories_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = MarketplaceCategoryRequest(
    title="string-value"
)
response = marketplace_categories_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: MarketplaceCategoryRequest
  2. API Source: marketplace_categories_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceCategoriesCreate } from 'waldur-js-client';

try {
  const response = await marketplaceCategoriesCreate({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "title": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
title string
description string
icon string (binary)
default_vm_category boolean Set to "true" if this category is for OpenStack VM. Only one category can have "true" value.
default_volume_category boolean Set to true if this category is for OpenStack Volume. Only one category can have "true" value.
default_tenant_category boolean Set to true if this category is for OpenStack Tenant. Only one category can have "true" value.
group string (uri)

201 -

Field Type Description
url string (uri)
uuid string (uuid)
title string
description string
icon string (uri)
default_vm_category boolean Set to "true" if this category is for OpenStack VM. Only one category can have "true" value.
default_volume_category boolean Set to true if this category is for OpenStack Volume. Only one category can have "true" value.
default_tenant_category boolean Set to true if this category is for OpenStack Tenant. Only one category can have "true" value.
offering_count integer
available_offerings_count integer
sections array of objects
sections.key string
sections.title string
sections.attributes array of objects
sections.attributes.key string
sections.attributes.title string
sections.attributes.type string
Enum: boolean, string, text, integer, choice, list
sections.attributes.options array of objects
sections.attributes.options.key string
sections.attributes.options.title string
sections.attributes.required boolean A value must be provided for the attribute.
sections.attributes.default any
sections.is_standalone boolean Whether section is rendered as a separate tab.
columns array of objects
columns.uuid string (uuid)
columns.index integer Index allows to reorder columns.
columns.title string Title is rendered as column header.
columns.attribute string Resource attribute is rendered as table cell.
columns.widget any Widget field allows to customise table cell rendering.
components array of objects
components.type string Unique internal name of the measured unit, for example floating_ip.
components.name string Display name for the measured unit, for example, Floating IP.
components.description string
components.measured_unit string Unit of measurement, for example, GB.
articles array of objects
articles.title string
articles.url string (uri)
group string (uri)

Update a category

Updates an existing marketplace category. Requires staff permissions.

1
2
3
4
5
http \
  PUT \
  https://api.example.com/api/marketplace-categories/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN" \
  title="string-value"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.marketplace_category_request import MarketplaceCategoryRequest # (1)
from waldur_api_client.api.marketplace_categories import marketplace_categories_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = MarketplaceCategoryRequest(
    title="string-value"
)
response = marketplace_categories_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: MarketplaceCategoryRequest
  2. API Source: marketplace_categories_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { marketplaceCategoriesUpdate } from 'waldur-js-client';

try {
  const response = await marketplaceCategoriesUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "title": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
title string
description string
icon string (binary)
default_vm_category boolean Set to "true" if this category is for OpenStack VM. Only one category can have "true" value.
default_volume_category boolean Set to true if this category is for OpenStack Volume. Only one category can have "true" value.
default_tenant_category boolean Set to true if this category is for OpenStack Tenant. Only one category can have "true" value.
group string (uri)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
title string
description string
icon string (uri)
default_vm_category boolean Set to "true" if this category is for OpenStack VM. Only one category can have "true" value.
default_volume_category boolean Set to true if this category is for OpenStack Volume. Only one category can have "true" value.
default_tenant_category boolean Set to true if this category is for OpenStack Tenant. Only one category can have "true" value.
offering_count integer
available_offerings_count integer
sections array of objects
sections.key string
sections.title string
sections.attributes array of objects
sections.attributes.key string
sections.attributes.title string
sections.attributes.type string
Enum: boolean, string, text, integer, choice, list
sections.attributes.options array of objects
sections.attributes.options.key string
sections.attributes.options.title string
sections.attributes.required boolean A value must be provided for the attribute.
sections.attributes.default any
sections.is_standalone boolean Whether section is rendered as a separate tab.
columns array of objects
columns.uuid string (uuid)
columns.index integer Index allows to reorder columns.
columns.title string Title is rendered as column header.
columns.attribute string Resource attribute is rendered as table cell.
columns.widget any Widget field allows to customise table cell rendering.
components array of objects
components.type string Unique internal name of the measured unit, for example floating_ip.
components.name string Display name for the measured unit, for example, Floating IP.
components.description string
components.measured_unit string Unit of measurement, for example, GB.
articles array of objects
articles.title string
articles.url string (uri)
group string (uri)

Partially update a category

Partially updates an existing marketplace category. Requires staff permissions.

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/marketplace-categories/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_marketplace_category_request import PatchedMarketplaceCategoryRequest # (1)
from waldur_api_client.api.marketplace_categories import marketplace_categories_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedMarketplaceCategoryRequest()
response = marketplace_categories_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedMarketplaceCategoryRequest
  2. API Source: marketplace_categories_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceCategoriesPartialUpdate } from 'waldur-js-client';

try {
  const response = await marketplaceCategoriesPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
title string
description string
icon string (binary)
default_vm_category boolean Set to "true" if this category is for OpenStack VM. Only one category can have "true" value.
default_volume_category boolean Set to true if this category is for OpenStack Volume. Only one category can have "true" value.
default_tenant_category boolean Set to true if this category is for OpenStack Tenant. Only one category can have "true" value.
group string (uri)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
title string
description string
icon string (uri)
default_vm_category boolean Set to "true" if this category is for OpenStack VM. Only one category can have "true" value.
default_volume_category boolean Set to true if this category is for OpenStack Volume. Only one category can have "true" value.
default_tenant_category boolean Set to true if this category is for OpenStack Tenant. Only one category can have "true" value.
offering_count integer
available_offerings_count integer
sections array of objects
sections.key string
sections.title string
sections.attributes array of objects
sections.attributes.key string
sections.attributes.title string
sections.attributes.type string
Enum: boolean, string, text, integer, choice, list
sections.attributes.options array of objects
sections.attributes.options.key string
sections.attributes.options.title string
sections.attributes.required boolean A value must be provided for the attribute.
sections.attributes.default any
sections.is_standalone boolean Whether section is rendered as a separate tab.
columns array of objects
columns.uuid string (uuid)
columns.index integer Index allows to reorder columns.
columns.title string Title is rendered as column header.
columns.attribute string Resource attribute is rendered as table cell.
columns.widget any Widget field allows to customise table cell rendering.
components array of objects
components.type string Unique internal name of the measured unit, for example floating_ip.
components.name string Display name for the measured unit, for example, Floating IP.
components.description string
components.measured_unit string Unit of measurement, for example, GB.
articles array of objects
articles.title string
articles.url string (uri)
group string (uri)

Delete a category

Deletes a marketplace category. Requires staff permissions.

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/marketplace-categories/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_categories import marketplace_categories_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_categories_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: marketplace_categories_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceCategoriesDestroy } from 'waldur-js-client';

try {
  const response = await marketplaceCategoriesDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body